PO4A-GETTEXTIZE(1p)

NOMBRE
po4a-gettextize - Convierte un fichero original (y su traducción) a un fichero PO

SINOPSIS
po4a-gettextize -f formatoE -m original.doc [-l XX.doc] -p XX.po

(XX.po es la salida, todos los otros son entrada)

DESCRIPCIÓN
El objetivo del proyecto po4a («PO for anything», PO para todo) es facilitar la traducción (y más interesante, el mantenimiento de las traducciones) usando las herramientas de gettext en áreas donde no eran de esperar, como la documentación.

El script po4a-gettextize se ocupa de la conversión de los ficheros de documentación a ficheros PO. Si empieza una nueva traducción, po4a-gettextize extraerá las cadenas traducibles del fichero de documentación y escribirá con ello un fichero POT.

Si ya tiene un fichero traducido, po4a-gettextize intentará extraer las traducciones que contiene y ponerlas en su sitio en el fichero PO de salida. Tenga en cuenta que este proceso es muy poco inteligente: la enésima cadena del fichero traducido se toma como la traducción de la enésima cadena del original. Si no es el caso, está muerto. Es por ello que es muy importante que ambos ficheros compartan la misma estructura.

A pesar de todo, po4a-gettextize diagnosticará su muerte detectando cualquier asincronía entre ficheros, y le informará de dónde se producen. En ese caso, deberá editar manualmente los ficheros para solucionar la disparidad mostrada. Aunque no se informe de ningún error, compruebe detalladamente que el fichero PO generado es correcto (por ejemplo, que cada msgstr es la traducción del msgid asociado, y no del anterior o del siguiente).

Aunque parezca que el script hace su labor sin problemas aparentes, este marcará las traducciones extraídas como difusas («fuzzy»), para asegurar que el traductor las revise y pueda detectar cualquier problema residual.

Si el documento original contiene caracteres no ASCII, el fichero PO generado estará en UTF-8 para permitir los caracteres no estándar de una forma independiente de la cultura. De no ser así (si el documento original está completamente en ASCII), el fichero PO generado utilizará la codificación del documento de entrada traducido.

OPCIONES

-f, --format
    El formato de la documentación que desea tratar. Use la opción --help-format para ver la lista de los formatos disponibles.

-m, --master
    El fichero que contiene el documento original o principal a traducir. Puede usar esta opción varias veces si desea gettextizar varios documentos.

-M, --master-charset
    El juego de caracteres del fichero que contiene el documento a traducir.

-l, --localized
    El fichero que contiene el documento localizado (traducido). Si introdujo varios documentos originales, puede que desee introducir varios documentos localizados usando esta opción más de una vez.

-L, --localized-charset
    El juego de caracteres del fichero que contiene la versión localizada del documento.

-p, --po
    El fichero dónde se debería escribir el catálogo de mensajes. Si no se proporciona, el catálogo de mensajes se escribirá por la salida estándar.

-o, --option
    Opción(es) adicionales a introducir a la extensión del formato. Especifique cada opción con el formato «nombre=valor». Consulte la documentación de cada extensión para más información acerca de las opciones aceptadas y su significado.

-h, --help
    Muestra un mensaje corto de ayuda.

--help-format
    Lista los formatos de documentación reconocidos por po4a.

-V, --version
    Muestra la versión del script y cierra

-v, --verbose
    Aumenta la cantidad de mensajes informativos del programa.

-d, --debug
    Devuelve por la salida información de depuración de fallos.

--msgid-bugs-address email@address
    Define el destinatario de los informes de fallo en los msgid. Por omisión, los ficheros POT creados no tienen el campo «Report-Msgid-Bugs-To».

--copyright-holder string
    Define el propietario del copyright en la cabecera del POT. El valor predefinido es «Free Software Foundation, Inc».

--package-name string
    Define el nombre del paquete en la cabecera del POT. El valor por omisión es «PACKAGE».

--package-version string
    Define la versión del paquete en la cabecera del POT. El valor por omisión es «VERSION».

VÉASE TAMBIÉN
po4a-normalize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUCCION
 Jordi Vilalta <jvprat@gmail.com>
 Omar Campagne <ocampagne@gmail.com>

DERECHO DE COPIA Y LICENCIA
Copyright 2002-2012 by SPI, inc.

Esto es software libre; puede redistribuirlo y/o modificarlo bajo las condiciones de la licencia GPL (consulte el fichero COPYING).